Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.container.om.common
Class SecurityRoleRefImpl

    java.lang.Object
      org.jasig.portal.container.om.common.SecurityRoleRefImpl

All Implemented Interfaces:
  java.io.Serializable, org.apache.pluto.om.common.SecurityRoleRef, org.apache.pluto.om.common.SecurityRoleRefCtrl, org.apache.pluto.om.Controller, org.apache.pluto.om.Model

    public class SecurityRoleRefImpl

extends java.lang.Object
implements org.apache.pluto.om.common.SecurityRoleRef, org.apache.pluto.om.common.SecurityRoleRefCtrl, java.io.Serializable

Implementation of Apache Pluto object model.

Version:
  $Revision: 1.3 $
Author:
  Ken Weiner, kweiner@unicon.net
See Also:
  Serialized Form

Field Summary
`private org.apache.pluto.om.common.DescriptionSet` | `descriptions`
`private java.lang.String` | `roleLink`
`private java.lang.String` | `roleName`

Constructor Summary
`SecurityRoleRefImpl()`

Method Summary
`org.apache.pluto.om.common.Description` | `getDescription(java.util.Locale locale)`
`org.apache.pluto.om.common.DescriptionSet` | `getDescriptions()`
`java.lang.String` | `getRoleLink()`
`java.lang.String` | `getRoleName()`
`void` | `setDescription(java.lang.String description)`
`void` | `setDescriptions(org.apache.pluto.om.common.DescriptionSet descriptions)`
`void` | `setRoleLink(java.lang.String roleLink)`
`void` | `setRoleName(java.lang.String roleName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### roleName

    private java.lang.String roleName

### roleLink

    private java.lang.String roleLink

### descriptions

    private org.apache.pluto.om.common.DescriptionSet descriptions

Constructor Detail

### SecurityRoleRefImpl

    public SecurityRoleRefImpl()

Method Detail

### getRoleName

    public java.lang.String getRoleName()

  Specified by:
    `getRoleName` in interface `org.apache.pluto.om.common.SecurityRoleRef`

### getRoleLink

    public java.lang.String getRoleLink()

  Specified by:
    `getRoleLink` in interface `org.apache.pluto.om.common.SecurityRoleRef`

### getDescription

    public org.apache.pluto.om.common.Description getDescription(java.util.Locale locale)

  Specified by:
    `getDescription` in interface `org.apache.pluto.om.common.SecurityRoleRef`

### setRoleName

    public void setRoleName(java.lang.String roleName)

  Specified by:
    `setRoleName` in interface `org.apache.pluto.om.common.SecurityRoleRefCtrl`

### setRoleLink

    public void setRoleLink(java.lang.String roleLink)

  Specified by:
    `setRoleLink` in interface `org.apache.pluto.om.common.SecurityRoleRefCtrl`

### setDescription

    public void setDescription(java.lang.String description)

  Specified by:
    `setDescription` in interface `org.apache.pluto.om.common.SecurityRoleRefCtrl`

### setDescriptions

    public void setDescriptions(org.apache.pluto.om.common.DescriptionSet descriptions)

### getDescriptions

    public org.apache.pluto.om.common.DescriptionSet getDescriptions()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD